// out: ../../css/components/footer.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// mixins variables
@import "../variables.scss";

body > footer {
  @include flexbox;
  @include justify-content(space-between);
  @include align-content(center);
  @include align-items(stretch);
  @include flex-wrap(wrap);
  @include font-size(1.8);
  /*   margin: auto;
  max-width: 1060px; */
  padding: 55px 20px 0;
  margin: 0;
  position: relative;
  z-index: 100;
  top: -1px;

  .field--name-field-visible-title {
    @extend %footer-boxes-title;

    &::before {
      display: none;
    }
  }

  .block-custom-wrapper {
    background: transparent;
    padding: 0;
    margin: 0;
  }

  & nav {
    // width: 20%;
    & > h2 {
      @extend %footer-boxes-title;
    }

    ul.menu.nav {
      margin: 0;
      padding: 0;

      li {
        @include font-size(1.6);

        a {
          @include transition(all 0.3s ease-in-out 0s);
          display: inline-block;
          padding: 0 0 15px 20px;
          position: relative;

          &:before {
            @include transition(all 0.6s ease-in-out 0s);
            @include font-size(5);
            content: "\6a";
            font-family: $font-icon;
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            display: block;
            position: absolute;
            top: -2px;
            left: -22px;
            line-height: 22px;
          }

          &:after {
            @include transition(all 0.3s ease-in-out 0s);
            content: "";
            display: block;
            height: 2px;
            width: 0%;
            position: absolute;
            bottom: 14px;
            left: 0;
            margin: 0 0 0 18px;
            max-width: calc(100% - 18px);
          }

          &:hover,
          &.is-active {
            background: none;

            &:before {
              left: -12px;
            }

            &:after {
              width: 100%;
            }
          }
        }
      }
    }
  }

  section[id*="copyright"] {
    h2.block-title {
      display: none;
    }

    margin: auto;
    padding: 80px 0 0;
    text-align: center;
    width: auto;
  }

  section a {
    @include transition(all 0.3s ease-in-out 0s);

    &:hover,
    &:focus {
      text-decoration: none;
    }
  }

  .logo {
    display: none;
    position: absolute;
    right: 20px;
    bottom: 10px;

    img {
      height: 80px;
      width: auto;
    }
  }
}

@media only screen and (max-width: 980px) {
  body > footer .region-footer {
    padding: 20px;

    section[id*="copyright"] {
      padding: 0;
    }

    .logo {
      right: 20px;

      img {
        height: 55px;
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .cern-footer {
    padding: 15px 0 0;

    .footer-first-col {
      &:after {
        content: unset !important;
      }
    }
  }
}

.cern-footer {
  /* .block.block-block-content h2.block-title {
    display: inline-block;
  } */
  margin: auto;
  max-width: 1140px;
  width: 100%;

  /* .block-custom-wrapper .field--name-field-visible-title {
    margin: 0;
  } */
  .block-custom-wrapper {
    margin-bottom: 4rem;
  }

  ul {
    padding: 0;
    list-style: none;
  }

  .footer-first-col {
    padding-right: 40px;

    &:after {
      content: "";
      display: block;
      width: 2px;
      height: 100%;
      position: absolute;
      top: 0;
      right: 30px;
      background: rgba(255, 255, 255, 0.2);
    }
  }

  nav {
    width: 100%;

    ul.menu.nav li a:before {
      line-height: 26px;
      left: -17px;
      font-size: 4rem;
    }

    ul.menu.nav li a:hover:before {
      left: -10px;
    }
  }

  h2,
  .block-custom-wrapper .field--name-field-visible-title {
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    margin: 0rem 0 2.5rem 0;
    /* font-weight: 700; */
    font-size: 18px;
    /* color: #fffeee; */
    /*line-height: 1.1;*/
    /* font-family: "opensans-regular"; */
    padding: 0;

    &:after {
      content: "";
      width: 50%;
      height: 2px;
      left: 0;
      bottom: -8px;
      position: absolute;
      /*  background: white; */
      display: block;
    }
  }

  a {
    /* color: #fffeee; */
    /* &:hover, &:active, &:focus {
      color: #fffeee;
    } */
    &.cern-icon-large {
      padding: 0 0 15px 26px;
    }

    &.cern-newsletter:before {
      content: attr(data-icon);
      font-family: "cern-icons";
      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      display: block;
      position: absolute;
      top: 0px;
      left: -10px;
      line-height: 22px;
      /* color: #fffeee; */
      font-size: 4rem;
    }
  }

  //
  // contextual links
  .contextual a {
    color: #000 !important;
  }
}

// copyright
.copy-wrapper {
  @include font-size(1.3);
  font-family: "sourcesans-light";
  text-align: center;
  width: 100%;
  line-height: 50px;
  margin: 0;
}
